psimi25Hypergraph-class {RpsiXML} | R Documentation

## Class "psimi25Hypergraph"

### Description

Class to present PSI-MI 2.5 XML data as hypergraph.

### Objects from the Class

Objects can be created by calls of the form `psimi25XML2Graph`

### Slots

`interactors`:
  Object of class `"matrix"`, Object of class `"matrix"`, interactor information in a matrix, Each row represents one interactor. Source IDs are used as row names. Each column represents one annotation. Annotations include: UniProt ID, short label, organism name, and NCBI taxonomy ID. Only those interactors which are the nodes of the psimi25Graph is given.

### Extends

Class `Hypergraph`, directly.

### Methods

initialize
  `signature(.Object = "psimi25Hypergraph")`
show
  `signature(object = "psimi25Hypergraph")`: show method
translateSourceID
  `signature(r = "psimi25Hypergraph")`: translate source ID into other IDs

### Author(s)

Tony Chiang <tchiang@ebi.ac.uk> , Jitao David Zhang <j.zhang@dkfz.de>

### See Also

`psimi25XML2Graph`,`S4classpsimi25Graph-class`

### Examples

    showClass("psimi25Hypergraph")

[Package RpsiXML version 1.0.0 Index]